<?php
namespace Versae\Test\Fixture;

use Cake\TestSuite\Fixture\TestFixture;

/**
 * FormUnitsFixture
 */
class FormUnitsFixture extends TestFixture
{
    /**
     * Init method
     *
     * @return void
     */
    public function init(): void
    {
        $this->records = [
            [// id=1
                'form_id' => 1,
                'name' => 'root',
                'type' => 'simple',
                'parent_id' => null,
                'lft' => 1,
                'rght' => 12,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => 'archive_unit_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=2
                'form_id' => 1,
                'name' => 'simple',
                'type' => 'simple',
                'parent_id' => 1,
                'lft' => 2,
                'rght' => 5,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => 'archive_unit_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=3
                'form_id' => 1,
                'name' => 'document',
                'type' => 'document',
                'parent_id' => 2,
                'lft' => 3,
                'rght' => 4,
                'form_input_id' => 1,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => null,
                'repeatable_fieldset_id' => null,
            ],
            [// id=4
                'form_id' => 1,
                'name' => 'tree_root',
                'type' => 'tree_root',
                'parent_id' => 1,
                'lft' => 6,
                'rght' => 11,
                'form_input_id' => 1,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => 'archive_unit_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=5
                'form_id' => 1,
                'name' => 'tree_search',
                'type' => 'tree_search',
                'parent_id' => 4,
                'lft' => 7,
                'rght' => 8,
                'form_input_id' => 1,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => null,
                'repeatable_fieldset_id' => null,
            ],
            [// id=6
                'form_id' => 1,
                'name' => 'tree_search',
                'type' => 'tree_path',
                'parent_id' => 4,
                'lft' => 9,
                'rght' => 10,
                'form_input_id' => 1,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => null,
                'repeatable_fieldset_id' => null,
            ],
            [// id=7
                'form_id' => 6,
                'name' => 'root',
                'type' => 'simple',
                'parent_id' => null,
                'lft' => 13,
                'rght' => 16,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => 'archive_unit_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=8
                'form_id' => 6,
                'name' => 'doc',
                'type' => 'document',
                'parent_id' => 7,
                'lft' => 14,
                'rght' => 15,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => null,
                'presence_required' => null,
                'storage_calculation' => 'archive_unit_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=9
                'form_id' => 7,
                'name' => 'archive',
                'type' => 'simple',
                'parent_id' => null,
                'lft' => 17,
                'rght' => 24,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => '',
                'presence_required' => false,
                'storage_calculation' => 'none',
                'repeatable_fieldset_id' => null,
            ],
            [// id=10
                'form_id' => 7,
                'name' => 'élément répétable',
                'type' => 'repeatable',
                'parent_id' => 9,
                'lft' => 18,
                'rght' => 23,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => '',
                'presence_required' => false,
                'storage_calculation' => 'tree_element_name',
                'repeatable_fieldset_id' => 5,
            ],
            [// id=11
                'form_id' => 7,
                'name' => 'fichier',
                'type' => 'document',
                'parent_id' => 10,
                'lft' => 19,
                'rght' => 20,
                'form_input_id' => 7,
                'presence_condition_id' => null,
                'search_expression' => '',
                'presence_required' => false,
                'storage_calculation' => 'tree_element_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=12
                'form_id' => 7,
                'name' => 'fichier',
                'type' => 'document_multiple',
                'parent_id' => 10,
                'lft' => 21,
                'rght' => 22,
                'form_input_id' => 9,
                'presence_condition_id' => null,
                'search_expression' => '',
                'presence_required' => false,
                'storage_calculation' => 'tree_element_name',
                'repeatable_fieldset_id' => null,
            ],
            [// id=13
                'form_id' => 9,
                'name' => 'archive',
                'type' => 'simple',
                'parent_id' => null,
                'lft' => 25,
                'rght' => 28,
                'form_input_id' => null,
                'presence_condition_id' => null,
                'search_expression' => '',
                'presence_required' => false,
                'storage_calculation' => 'none',
                'repeatable_fieldset_id' => null,
            ],
            [// id=14
                'form_id' => 9,
                'name' => 'document',
                'type' => 'document',
                'parent_id' => 13,
                'lft' => 26,
                'rght' => 27,
                'form_input_id' => 11,
                'presence_condition_id' => null,
                'search_expression' => '',
                'presence_required' => false,
                'storage_calculation' => 'tree_element_name_index',
                'repeatable_fieldset_id' => null,
            ],
        ];
        parent::init();
    }
}
